Page MenuHomePhabricator

Add role for GlobalBlocking
Closed, ResolvedPublic

Description

This role would be useful, especially now that there is multiwiki support.


Version: unspecified
Severity: normal

Details

Reference
bz67104

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz67104.
bzimport added a subscriber: Unknown Object (MLST).
bd808 triaged this task as Lowest priority.Dec 30 2014, 12:45 AM
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2016, 9:00 PM
Luke081515 raised the priority of this task from Lowest to Needs Triage.Feb 27 2016, 6:38 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 27 2016, 6:38 PM
bd808 added a comment.Mar 23 2016, 8:57 PM

I think my role needs some help. From the wiki documentation:

  • You will also need to create a dedicated database for this extension to work. At a minimum (all wikis running on the same host), you need to create a local database called 'globalblocking' (or specify a different name in $wgGlobalBlockingDatabase), and grant all database users that your wikis run as full permissions on that database (at a minimum, SELECT, UPDATE, INSERT, DELETE).
  • After creating the database, you should import the SQL from globalblocking.sql, into the global blocking database.
  • You also need to import the SQL schema in localdb_patches/setup-global_block_whitelist.sql to each of your local wiki databases.

The current role only provisions the extension and doesn't handle any of the database changes.

This comment was removed by Mattflaschen-WMF.

Change 279423 had a related patch set uploaded (by Mattflaschen):
Complete GlobalBlocking role

https://gerrit.wikimedia.org/r/279423

Change 279423 merged by jenkins-bot:
Complete GlobalBlocking role

https://gerrit.wikimedia.org/r/279423

bd808 closed this task as Resolved.Apr 25 2016, 9:01 PM
Etonkovidova added a subscriber: Etonkovidova.EditedApr 26 2016, 7:04 PM

Checked on local machine - Special:GlobalBlock and Special:GlobalBlockList work correctly.

The user blocked on Special:GlobalBlock will be blocked from other wikis accordingly.

The following screenshot is just reflecting local env limitations - the warning template for blocked users is not present.

I think that's since been fixed (to correctly treat it as HTML).